#!/bin/csh

set DATADIR = "./"
set RDIR = "."
set MAXSIZE = 105 
	rm run.log

	foreach i ( `cat files`)
        rm tmp.pqr
        rm a.pqr
        rm xyz

	echo $i
	cp $DATADIR/$i ./tmp.pqr
	./maxsize < tmp.pqr > $i.log
	set errors = `grep "MOLECULE" $i.log | awk '{ print $3 }' `
	echo $errors
 	if ( $errors <= $MAXSIZE ) then	
#		gyration.awk < tmp.pqr  | grep "Xcm, Ycm, Zcm" | awk '{ print $5 "  " $6 "  " $7 }' > xyz
#		center.pl tmp.pqr xyz > ./a.pqr
		cp tmp.pqr a.pqr
# DELPHI CALCULATIONS ######################################### 
#		delphi.pqr delphi.pqr_in.prm > out.delphi
#		/bin/mv out.delphi $RDIR/$i.0.5A.epsout=80.espin=4.0.salt=0.0.delphi.out 
#		gzip tmp.avs.phi
#               /bin/mv tmp.avs.phi.gz $RDIR/$i.0.5A.epsout=80.espin=4.0.salt=0.0.delphi.phi.gz
################################################################

# MEAD CALCULATIONS ##############################################
		potential -solrad 3.0 -epsin 4.0 -epsext 80.0  -ionicstr 0.0 -blab3 -CoarseFieldOut a a > mead.out
		gzip a.fld
		/bin/mv a.fld.gz $RDIR/$i.0.5A.probe=3.0.epsin=4.salt=0.0.epsout=80.mead.phi.fld.gz
		/bin/mv mead.out $RDIR/$i.0.5A.probe=3.0.epsin=4.salt=0.0.epsout=80.mead.out
######################################################################

	#	/bin/mv a.pqr ../PQR_HIS_CENTERED/$i
#		/bin/mv a.pqr ./$i.centered

		# echo $i >> prot.less.105A.file_list
		echo $i "Finished DelPhi" > $i.log	
	else echo $i "Molecule  didn't fit" > $i.log
	endif	
	cat $i.log >> run.log
end
